import { r as registerInstance, h, H as Host, g as getElement } from './index-090d31ca.js';
import './global-slimmer-registry-0a7aa308.js';
import { I as InjectVegaSlimmer } from './inject-vega-slimmer-caffc2aa.js';
import { V as VegaComponentUsageRuntimeMetricsSlimmer, I as InjectVegaGlobalSlimmer } from './component-usage-runtime-metrics-4202784a.js';
import { s as sanitizeVegaComponent } from './component-d58ca1d0.js';

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
    r = Reflect.decorate(decorators, target, key, desc);
  else
    for (var i = decorators.length - 1; i >= 0; i--)
      if (d = decorators[i])
        r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const VegaHint = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.globalSlimmers = {};
    this.vegaComponentUsageRuntimeMetricsSlimmer = new VegaComponentUsageRuntimeMetricsSlimmer();
  }
  render() {
    return sanitizeVegaComponent(h(Host, null, h("vega-box", { padding: { x: 'size-8', top: 'size-4' } }, h("vega-font", { variant: "font-footnote1-short", color: "text-secondary" }, h("slot", null)))), this.host);
  }
  get host() { return getElement(this); }
};
__decorate([
  InjectVegaGlobalSlimmer()
], VegaHint.prototype, "globalSlimmers", void 0);
__decorate([
  InjectVegaSlimmer()
], VegaHint.prototype, "vegaComponentUsageRuntimeMetricsSlimmer", void 0);

export { VegaHint as vega_hint };
